Download an Extension Voicemail Greeting
Download an extension voicemail greeting.
Steps to download an extension voicemail greeting
Request URL
GET {base_url}/{api_path}/extension_vm_greeting/download?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| extension | Yes | String | The extension number. Note: You can query the extension number using Search Specific Extensions. |
| file | Yes | String | The full filename (including the file extension) of the voicemail greeting to be download. Note: You can query the full filename of the voicemail greeting using Query Extension Voicemail Greeting List. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| file | String | The full filename (including the file extension) of the voicemail greeting. |
| download_resource_url | String | The download URL of the voicemail greeting. Note: The download URL is only valid for 30 minutes. |
Examples
Request example
Obtain the download URL of a voicemail greeting (full filename: vm_welcome.wav), which belongs to the extension (number: 3200).
GET /openapi/v1.0/extension_vm_greeting/download?access_token=VZxAbA2kfB6o6eBEh2XJTxIi8auE3KCC&extension=3200&file=vm_welcome.wav HTTP/1.1 Host: 192.168.5.150:8088 User-Agent: OpenAPI
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"file": "vm_welcome.wav",
"download_resource_url": "/api/download/PBX-VoicemailGreeting-83.23.0.x-download-20260512105717-37XXXXXXXXXXXP9O.wav"
}Download the voicemail greeting
After obtaining the download URL for the voicemail greeting, combine it with the {base_url} and append the {access_token} parameter. Then, use the complete link to download the desired voicemail greeting.
Download link format
{base_url}/{download_resource_url}?access_token={access_token}
Download link example
https://192.168.5.150:8088/api/download/PBX-VoicemailGreeting-83.2